#ifndef CMWPARAMSIDE_H
#define CMWPARAMSIDE_H

#include "cmwidget.h"
#include <QTableWidgetItem>
namespace Ui {
class CMWParamSide;
}

class CMWParamSide : public CMWidget
{
	Q_OBJECT

public:
	explicit CMWParamSide(QWidget *parent ,int iSideID);
	~CMWParamSide();
	int m_iSideID;
	int m_iSelectRow;
	void MFresh();
	void MApply();
	void MInit();
	void FreshSubIndex();
	void ApplySubIndex();
    void MTimeFresh();
    int m_iCurLevel;
private slots:
	void on_tableWidget_currentItemChanged(QTableWidgetItem *current, QTableWidgetItem *previous);

	void on_pushButton_add_clicked();

	void on_pushButton_del_clicked();

	void on_pushButton_ABSwitch_clicked();

private:
	Ui::CMWParamSide *ui;
};

#endif // CMWPARAMSIDE_H
